# -*- coding: utf-8 -*-
from openerp import models, fields

class PrinterSocket(models.Model):
    _name = 'printer.socket'

    AVAILABLE_PROTOCOLS = [
        ('ws', 'ws (WebSocket)'),
        ('wss', 'wss (WebSocket Seguro)'),
        ('http', 'http (HyperTexto)'),
        ('https', 'http (HyperTexto Seguro)')
    ]

    name = fields.Char(string='Nombre', size=35, required=True)
    protocol = fields.Selection(string='Protocolo', selection=AVAILABLE_PROTOCOLS, default='ws')
    host = fields.Char(string='Host', default='127.0.0.1', required=True)
    port = fields.Integer(string='Puerto', default=8070, required=True)
    path = fields.Char(string='Recurso', default='/')
    last_connection = fields.Datetime(string='Última conexión', readonly=True)
    printer_ids = fields.One2many(comodel_name='printer.printer', inverse_name='socket_id')
    user_ids = fields.Many2many(comodel_name='res.users', relation='sockets_users', column1='user_id', column2='socket_id')